org.apache.olingo.odata2.jpa.processor.ref.extension

## Class SalesOrderProcessingExtension

- java.lang.Object
- - org.apache.olingo.odata2.jpa.processor.ref.extension.SalesOrderProcessingExtension

- All Implemented Interfaces:
    JPAEdmExtension

      public class SalesOrderProcessingExtension
      extends Object
      implements JPAEdmExtension

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SalesOrderProcessingExtension()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `extendJPAEdmSchema(JPAEdmSchemaView view)` The method is used to extend the JPA EDM schema view with Entities, Entity Sets, Navigation Property and Association.
    `void` | `extendWithOperation(JPAEdmSchemaView view)` The method is used to extend the JPA EDM schema view with custom operations.
    `InputStream` | `getJPAEdmMappingModelStream()` Implement this method to provide a stream of Mapping model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SalesOrderProcessingExtension

          public SalesOrderProcessingExtension()

  - ### Method Detail

    - #### extendJPAEdmSchema

          public void extendJPAEdmSchema(JPAEdmSchemaView view)

      Description copied from interface: `JPAEdmExtension`
      The method is used to extend the JPA EDM schema view with Entities, Entity Sets, Navigation Property and Association.
      Specified by:
        `extendJPAEdmSchema` in interface `JPAEdmExtension`
      Parameters:
        `view` - is the schema view

    - #### extendWithOperation

          public void extendWithOperation(JPAEdmSchemaView view)

      Description copied from interface: `JPAEdmExtension`
      The method is used to extend the JPA EDM schema view with custom operations. Use this method to register custom operations.
      Specified by:
        `extendWithOperation` in interface `JPAEdmExtension`
      Parameters:
        `view` - is the schema view
      See Also:
        `JPAEdmSchemaView.registerOperations(Class, String[])`

    - #### getJPAEdmMappingModelStream

          public InputStream getJPAEdmMappingModelStream()

      Description copied from interface: `JPAEdmExtension`
      Implement this method to provide a stream of Mapping model.
      Specified by:
        `getJPAEdmMappingModelStream` in interface `JPAEdmExtension`
      Returns:
        a stream of mapping model XML as per JPAEDMMappingModel.xsd

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.